.elementor-menu-cart__toggle.elementor-button-wrapper {
  pointer-events: none;
}

.e-cart__container {
  font-family: var(--font-family);
  color: var(--e-global-color-text);
}

.e-shop-table.e-cart-section {
  max-height: 20rem;
  overflow-y: scroll;
  background-color: var(--background);
  padding: 0;
}
@media (min-width: 1025px) {
  .e-shop-table.e-cart-section {
    overflow-y: auto;
    direction: ltr;
  }
  .elementor-widget-woocommerce-cart .e-cart__container {
    grid-template-columns: 65% auto;
  }

  .woocommerce-cart-form__cart-item.cart_item {
    padding-right: 0.75rem;
  }
}

.woocommerce table.shop_table_responsive td.product-thumbnail {
  display: block;
}

.woocommerce-cart-form__cart-item.cart_item {
  display: flex !important;
  direction: rtl;
  margin-bottom: 1rem;
  height: 100% !important;
  gap: 1rem !important;
  justify-content: flex-start !important;
  background-color: var(--background);
  padding: 1rem;
  border-radius: var(--radius);
}

.elementor-widget-woocommerce-cart .woocommerce table.cart tr {
  border-top: none;
}

.item-info-wrapper::before {
  display: none;
}
.item-info-wrapper {
  display: flex !important;
  width: 85%;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  gap: 1.5rem;
  padding: 0px !important;
}

.product-thumbnail::before {
  display: none;
}

.product-thumbnail {
  width: 15%;
  border: none !important ;
  padding: 0 !important;
}

.product-thumbnail img {
  width: 100% !important;
  border-radius: var(--radius);
}

.product-name {
  text-align: right;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.5rem;
}

.sadpar-theme-shipping-time {
  display: flex;
  margin-right: 0.5rem;
  align-items: center;
  gap: 0.5rem;
}
.sadpar-theme-shipping-time-text {
  font: var(--font-body-small) !important;
  color: var(--muted-foreground) !important;
}
.sadpar-theme-shipping-time svg {
  width: auto;
  height: 1.2rem;
}
.sadpar-theme-shipping-time svg path {
  stroke: var(--muted-foreground);
}

/*متغییر های محصول در فایل گلوبال ووکامرس در همین پوشه قرار دارند*/

.item-subtotal-quantity-wrapper {
  display: flex;
  font-family: var(--font-family);
  align-items: center;
  gap: 1.2rem;
}

.quantity {
  display: flex;
  flex-direction: row-reverse !important;
  align-items: center;
  gap: 10px;
}
.quantity input {
  border: none !important;
  text-align: center !important;
  padding: 0px !important;
  width: 1.5rem !important;
}
.quantity input:focus {
  outline: none !important;
}
.quantity input::-webkit-outer-spin-button,
.quantity input::-webkit-inner-spin-button {
  -webkit-appearance: none;
}
.quantity input {
  -moz-appearance: textfield;
}

.product-quantity .qty-minus,
.product-quantity .qty-plus {
  cursor: pointer;
  border: none;
  padding: 0;
  background-color: transparent;
}
.product-quantity .qty-plus svg path {
  stroke: var(--text);
}
.product-quantity .qty-plus:hover svg path {
  stroke: var(--primary);
}
.product-quantity .qty-minus svg,
.product-quantity .qty-plus svg {
  width: auto;
  height: 1.2rem;
}
.product-quantity .qty-minus svg path {
  stroke: var(--destructive);
}

.product-quantity .qty-minus:hover svg path {
  stroke: var(--destructive-hover);
}

.woocommerce-Price-amount.amount {
  font: var(--font-body-bold) !important;
}

.product-subtotal-wrapper {
  display: flex;
  align-items: center;
  gap: 5px;
}

.discount-difference,
.discount-difference span {
  color: var(--color-cart-discount-badge) !important;
  font: var(--font-body-extra-small);
}
.discount-difference {
  border: 1px solid;
  padding: 0.05rem 0.4rem;
  border-radius: 15px;
}

.coupon.e-cart-section.shop_table {
  padding: 2rem;
  border-radius: var(--radius);
  width: 50%;
}

.coupon.e-cart-section.shop_table .input-text {
  height: 3rem;
}

.coupon.e-cart-section.shop_table .input-text:focus {
  outline: 2px solid var(--e-global-color-primary);
}

.coupon.e-cart-section.shop_table .button.e-apply-coupon {
  padding: 0;
  height: 3rem;
}

.e-cart-totals.e-cart-section {
  border: 0px solid #bbb;
  border-radius: 8px;
  padding: 1rem;
  background-color: var(--background);
}

.cart_totals {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.cart_totals h2 {
  color: var(--text) !important;
  font: var(--font-subheading) !important;
}

.cart_totals .cart-subtotal,
.cart-discount,
.order-total {
  font: var(--font-body);
}

.woocommerce-remove-coupon {
  background-color: var(--e-global-color-2332cc7);
  color: var(--e-global-color-e75101b) !important;
  font: var(--font-body-extra-small);
  padding: 0.3rem;
  border-radius: var(--radius);
}

.wc-proceed-to-checkout-wrapper {
  width: 100%;
  background-color: transparent;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.wc-proceed-to-checkout {
  width: 100%;
  border-radius: 300px !important;
}

.totals-discount span bdi {
  background-color: var(--color-cart-discount-badge);
  padding: 0.1rem 0.7rem;
  border-radius: 25px;
  font: var(--font-body-bold);
  color: var(--e-global-color-8703184);
}

.final-amount {
  display: none;
}

@media (max-width: 1024px) {
  .elementor-widget-woocommerce-cart .woocommerce table.cart tr {
    padding: 1rem;
  }

  .item-subtotal-quantity-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }
  .product-thumbnail {
    width: 35% !important;
  }

  .item-info-wrapper {
    width: 65%;
  }

  .product-subtotal-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }

  .wc-proceed-to-checkout-wrapper {
    position: fixed;
    background-color: var(--secondary);
    left: 0;
    right: 0;
    bottom: 55px;
    padding: 1rem;
    z-index: 999999 !important;
    width: 100%;
    box-shadow: 0 -2px 5px rgba(0, 0, 0, 0.1);
  }
  .e-sticky-right-column--active {
    z-index: 9;
  }
  .wc-proceed-to-checkout {
    margin: 0px !important;
    width: 100%;
    padding: 0px !important;
  }

  .final-amount {
    display: block;
    font: var(--font-body);
  }
  .item-variation span {
    font: var(--font-body-small);
  }
}

@media (max-width: 767px) {
  .e-shop-table.e-cart-section {
    margin-bottom: 1rem;
  }

  .coupon.e-cart-section.shop_table {
    width: 100%;
  }
}

/*EMPTY CART*/
.sadpar-theme-empty-cart-container {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 1rem;
  padding: 1rem;
  border-radius: 25px;
  background: var(--background);
}
.sadpar-theme-empty-cart-icon {
  display: flex;
  align-items: center;
  justify-content: center;
}
.sadpar-theme-empty-cart-icon svg {
  width: auto;
  height: 15rem;
}
.sadpar-theme-empty-cart-text-container {
  text-align: center;
}
.sadpar-theme-empty-cart-text {
  font: var(--font-subheading);
}
.sadpar-theme-empty-cart-sub-text {
  font: var(--font-body-small);
  margin: 0;
  color: var(--muted-foreground);
}
.sadpar-theme-empty-cart-container .button.wc-backward {
  display: flex;
  align-items: center;
  font: var(--font-body-small);
  gap: 0.5rem;
  flex-direction: row-reverse;
  background: var(--primary);
  border-radius: var(--radius);
  color: var(--primary-foreground);
  transition: opacity 0.2s ease-in-out;
}
.sadpar-theme-empty-cart-container .button.wc-backward:hover {
  background-color: var(--primary);
  opacity: 0.75;
  color: var(--primary-foreground);
}
.sadpar-theme-empty-cart-container .button.wc-backward svg {
  height: 2rem;
  width: auto;
}
.sadpar-theme-empty-cart-container .button.wc-backward svg path {
  stroke: var(--primary-foreground);
}
